Bug 1552650 - opal-prd: Incomplete Fedora build flags injection
Summary: opal-prd: Incomplete Fedora build flags injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opal-prd
Version: 28
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vasant Hegde
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PPCTracker Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-03-07 13:30 UTC by Florian Weimer
Modified: 2018-03-30 12:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-30 12:46:21 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-03-07 13:30:35 UTC
Various components in opal-prd-5.10.1-1.fc28.ppc64le are not linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config, for example:

cc -m64  -o opal-prd opal-prd.o thunk.o pnor.o i2c.o module.o version.o libflash-blocklevel.o libflash-libffs.o libflash-libflash.o libflash-ecc.o libflash-file.o common-arch_flash.o

There is no flag injection at all for this linker invocation.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Ngo Than 2018-03-08 09:26:47 UTC
it's fixed in opal-prd-5.10.1-2.fc29

Comment 2 Fedora Update System 2018-03-08 09:47:48 UTC
opal-prd-5.10.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6bacc34a1

Comment 3 Fedora Update System 2018-03-08 15:30:20 UTC
opal-prd-5.10.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a6bacc34a1

Comment 4 Fedora Update System 2018-03-30 12:46:21 UTC
opal-prd-5.10.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.